Subject: RE: slower decompress?

From: "Jeff Sutherland" <[email-masked]>
Date: Wed, 16 Aug 2000 16:03:53 -0400

> On Wed, 16 Aug 2000, Russell King - ARM Linux Admin wrote:
>
> > There is currently code at the bottom of
> arch/arm/boot/compressed/head-sa1100.S
> > to add a 1 second delay before decompression starts.  This
> is so that the
> > boot messages are actually readable when you use angelboot+minicom.
>
> 	I saw that and removed it as Nicolas suggested.  But the actual
> decompression itself (i.e. after Uncompressing Linux......)
> is where the
> real problem is.  I just re-checked with an older kernel, and it
> decompresses in less than a second.  The 2.4.0-test6 kernel
> takes 10-15
> seconds.  Something is definitely not getting set up right in my case.
> I'll try to pin down the changes from pre3.
>
> Thanks,
> Chris

What CPU clock speed are you running?  Sounds like the MMU and the Icache aren't getting turned on.  Having DEBUG defined in head.S
could trip you up.

//Jeff

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]